SchemaVersion2001 (Axis API)
Keywords: org.apache.axis.schema.SchemaVersion2001 class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.schema
Class SchemaVersion2001

    java.lang.Object
      org.apache.axis.schema.SchemaVersion2001

All Implemented Interfaces:
  SchemaVersion, java.io.Serializable

public class SchemaVersion2001
extends java.lang.Object
implements SchemaVersion

2001 Schema characteristics.

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`static QName` | `QNAME_NIL`

Fields inherited from interface org.apache.axis.schema.SchemaVersion
`SCHEMA_1999, SCHEMA_2000, SCHEMA_2001`

Method Summary
`QName` | `getNilQName()` Get the appropriate QName for the "null"/"nil" attribute for this Schema version.
`java.lang.String` | `getXsdURI()` The XSD URI
`java.lang.String` | `getXsiURI()` The XSI URI
`void` | `registerSchemaSpecificTypes(TypeMappingImpl tm)` Register the schema specific type mappings

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QNAME_NIL

    public static QName QNAME_NIL

Method Detail

### getNilQName

    public QName getNilQName()

  Get the appropriate QName for the "null"/"nil" attribute for this Schema version.

  Specified by:
    `getNilQName` in interface `SchemaVersion`
  Returns:
    {http://www.w3.org/2001/XMLSchema-instance}nil

### getXsiURI

    public java.lang.String getXsiURI()

  The XSI URI

  Specified by:
    `getXsiURI` in interface `SchemaVersion`
  Returns:
    the XSI URI

### getXsdURI

    public java.lang.String getXsdURI()

  The XSD URI

  Specified by:
    `getXsdURI` in interface `SchemaVersion`
  Returns:
    the XSD URI

### registerSchemaSpecificTypes

    public void registerSchemaSpecificTypes(TypeMappingImpl tm)

  Register the schema specific type mappings

  Specified by:
    `registerSchemaSpecificTypes` in interface `SchemaVersion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.